/* Copyright 2020, Michele Santullo
 * This file is part of user-gcc.
 *
 * User-gcc is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * User-gcc is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with user-gcc.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include <string_view>
#include <string>

namespace duck {
	class SysPaths;

	void vewarn (const SysPaths& sp, std::string_view msg);
	void ewarn (const SysPaths& sp, std::string_view msg);
	bool yesno (const SysPaths& sp, std::string_view var, bool force_quiet=false);
	void esyslog(const SysPaths& sp, std::string_view pri, std::string_view tag, std::string_view msg);
	void eerror (const SysPaths& sp, std::string_view msg);
} //namespace duck
