/* Copyright 2020, Michele Santullo
 * This file is part of user-gcc.
 *
 * User-gcc is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * User-gcc is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with user-gcc.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "var_map.hpp"
#include <cassert>

namespace duck {
	VarMapView::VarMapView (const VarMap* vm) :
		m_map(vm)
	{
		assert(m_map);
	}

	std::string_view VarMapView::operator[] (std::string_view key) const {
		if (key.empty())
			return "";

		assert(m_map);
		auto it_found = m_map->find(key);
		if (m_map->end() != it_found)
			return it_found->second;
		else
			return "";
	}
} //namespace duck
